Upgrading Java version in Cisco Remote Expert Mobile

Description:

Cisco Remote Expert Mobile 10.6 comes with Java version 1.7.

Cisco Remote Expert Mobile 11.5 and 11.6 comes with Java version 1.8.

However, if REM 10.6 is upgraded to REM 11.5 and to REM 11.6, it is observed that the Java version remains at 1.7. This would cause issues when interacting with Finesse 11.5 or higher, which in turn uses Java 1.8:

The Finesse Agent gadget may report 401 Authentication Error and the following SSL handshake error would appear in the logs:

2017-07-07 06:51:52,383 WARN  [com.alicecallsbob.assist.authentication.FinesseRestClient] (http-connector-threads - 54)  | Problem fetching roles from Finesse server:https://<server>:8445/finesse/api/User/1001: javax.net.ssl.SSLException: Received fatal alert: protocol_version
 at sun.security.ssl.Alerts.getSSLException(Alerts.java:208) [jsse.jar:1.7.0_75]
 at sun.security.ssl.Alerts.getSSLException(Alerts.java:154) [jsse.jar:1.7.0_75]
 at sun.security.ssl.SSLSocketImpl.recvAlert(SSLSocketImpl.java:1979) [jsse.jar:1.7.0_75]

 

Resolution: 

In order to work around this issue, it is required to update Java on the REM servers by following the below steps:

1) Download Java 1.8 RPM package from the Oracle website and copy it to the /tmp directory on each REAS and REMB servers.

Now on each REAS and REMB server, perform the following:

2) Switch to root user: 

# su - root

3) Install Java 1.8:

# cd /tmp

# yum install jdk-8u131-linux-x64.rpm -y

 [Please use appropriate file name for the RPM package downloaded from Oracle web site.]

4) By default, this will install Java 1.8 to /usr/java . We would need to point REM to this java installation:

# cd /opt
# rm -f java
# ln -s /usr/java/jdk1.8.0_131/ /opt/java

 [Please use appropriate file name for the RPM package downloaded from Oracle web site.]

5) Restart the service

On REAS : service reas restart

On REMB: service media_broker restart

Perform the above steps on each node: REAS and REMB.

Have more questions? Submit a request

Comments

Powered by Zendesk